/* --COPYRIGHT--,BSD
 * Copyright (c) 2014, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

//*****************************************************************************
//
//! TIDM-FRAM-THERMOSTAT (Hardware Revision 1.0, Jul. 2014)
//! main.c
//
//! This is
//! TIDM-FRAM-THERMOSTAT reference board.
//
//! \author Texas Instruments
//! \author A0222632
//
//! \version Release 1, 7/2014
//
//*****************************************************************************

#include <msp_ts430fr4_golbal.h>

bool Timer_disp = false;
tTimerformat TimerData = {1,0,30};
tSystemStatus SystemStatus = eStandby;
tSettingMode SettingMode = eAll;
tTSMode	TSMode = eCool;
tFanLevel FanLevel = eL2;
uint8_t SettingTemp = 20;
tTimeformat Timeformat = e12hour;
tTempformat Tempformat = eDegC;
tSwingStatus SwingStatus = eSwingdisable;
tBatteryvol BatteryVol = e100p;
uint8_t Power_led_counter = 0;
bool RS485_Send_Flag = false;

void main(void)
{
	TS_Initialize();

	HAL_RS485_INIT();

	while(1)
	{
		__bis_SR_register(LPM3_bits + GIE);   // Enter LPM3 w/ interrupt

		if(SystemStatus == eActive)
		{
			if(Timer_disp)
			{
				LCD_Display_Timer(TimerData);
			}
			else LCD_Display_Time(tRTCData, Timeformat);
			LCD_Display_Temperature(Temperature,Tempformat);

			if(RS485_Send_Flag)
			{
				Send_Data();
			}
		}

		if(bRX_finished)
		{
			Uart_DataProcess();
			bRX_finished = false;
		}
	}
}

